> For the complete documentation index, see [llms.txt](https://app.developers.karte.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://app.developers.karte.io/android-sdk-appendix/appendix-fields-android-sdk.md).

# \[Android]イベントに自動追加されるフィールド

identify 以外のイベントには、SDKが自動的に端末や各種バージョンなどの情報を付与します。app\_infoについては[サポートサイト](https://support.karte.io/post/7zuzyZZbiIt1FFbMnZUVPf)も合わせてご覧ください。\
また、下記に加えて[イベントが再送された場合](/app-faq/app-faq-support-for-resending.md)には`_retry`のfieldも追加されます。

iOS SDKで自動追加されるフィールドは[こちら](/ios-sdk-appendix/appendix-fields-ios-sdk.md)を参照ください。

| フィールド名                                              | 内容                                                                                                                                                                        |
| --------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `app_info.version_name`                             | <p>アプリケーションのバージョン<br><a href="https://developer.android.com/reference/android/content/pm/PackageInfo#versionName"><code>packageInfo.versionName</code></a> の値が設定されます。</p> |
| `app_info.version_code`                             | <p>アプリケーションのビルド番号<br><a href="https://developer.android.com/reference/android/content/pm/PackageInfo#versionCode"><code>packageInfo.versionCode</code></a> の値が設定されます。</p> |
| `app_info.karte_sdk_version`                        | KARTE SDK（Coreモジュール）のバージョン                                                                                                                                                |
| `app_info.module_info`                              | <p>モジュールバージョン<br>インストールしたモジュールのバージョンが設定されます。<br>詳細は<a href="/android-sdk-appendix/appendix-module-android-sdk.md">利用可能なモジュール一覧</a> を参照</p>                                |
| `app_info.package_name`                             | アプリケーションのパッケージ名                                                                                                                                                           |
| `app_info.system_info.os`                           | <p>OS名<br>固定の文字列で <code>Android</code> が設定されます。</p>                                                                                                                       |
| `app_info.system_info.os_version`                   | <p>OSバージョン<br><code>Build.VERSION.RELEASE</code> の値が設定されます。</p>                                                                                                           |
| `app_info.system_info.device`                       | <p>デバイス名<br><code>Build.DEVICE</code> の値が設定されます。</p>                                                                                                                      |
| `app_info.system_info.brand`                        | <p>ブランド名<br><code>Build.BRAND</code> の値が設定されます。</p>                                                                                                                       |
| `app_info.system_info.model`                        | <p>モデル名<br><code>Build.MODEL</code> の値が設定されます。</p>                                                                                                                        |
| `app_info.system_info.product`                      | <p>プロダクト名<br><code>Build.PRODUCT</code> の値が設定されます。</p>                                                                                                                    |
| `app_info.system_info.aaid`                         | <p>広告識別子<br>広告識別子の取得を有効にしている場合に限ります。<br>詳細は<a href="https://support.karte.io/post/13v6pgNyNKtrxyIvYZcnAs">広告ID（IDFA/AAID）の送信について</a> を参照ください</p>                          |
| `app_info.system_info.language`                     | 端末の言語設定                                                                                                                                                                   |
| `app_info.system_info.screen.width`                 | 画面の横幅（dp）                                                                                                                                                                 |
| `app_info.system_info.screen.height`                | 画面の縦幅（dp）                                                                                                                                                                 |
| `app_info.system_info.android_webview_package_name` | WebViewのパッケージ名                                                                                                                                                            |
| `app_info.system_info.android_webview_version`      | WebViewのバージョン                                                                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://app.developers.karte.io/android-sdk-appendix/appendix-fields-android-sdk.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
